
DROP VIEW VIEWFTTIPONFREPR;

CREATE VIEW VIEWFTTIPONFREPR ( EMPRESA, REPRESENTANTE, TIPONOTA, EMISSAO, NOTASFISCAIS, VALORDUPL, VALORNOTA) AS
SELECT VNDANFCD.ANFCD_EMPRESA,
       VNDANFCD.ANFCD_REPRE,
       VNDANFCD.ANFCD_TIPO_OPER,
       VNDANFCD.ANFCD_DATA_EMISSAO,
       COUNT(DISTINCT VNDANFCD.ANFCD_NUM_NOTA),
       SUM(VNDANFCD.ANFCD_TOT_DUPL),
       SUM(VNDANFCD.ANFCD_TOT_NOTA)
 FROM VNDANFCD 
WHERE VNDANFCD.ANFCD_TIPO_NOTA =  'S' AND
      VNDANFCD.ANFCD_FLAG_NOTA <> 'C' AND
      VNDANFCD.ANFCD_TOT_DUPL  <> 0
GROUP BY VNDANFCD.ANFCD_EMPRESA,
         VNDANFCD.ANFCD_REPRE,
         VNDANFCD.ANFCD_TIPO_OPER,
         VNDANFCD.ANFCD_DATA_EMISSAO;

EXEC sys.sp_addextendedproperty @name=N'COMMENT', @value=N'FATURAMENTO SOBRE VENDAS POR TIPO DE OPERAO/REPRESENTANTE' ,@level0type=N'SCHEMA', @level0name=N'dbo', @level1type=N'VIEW', @level1name=N'VIEWFTTIPONFREPR';